# eric7.Plugins.VcsPlugins.vcsGit.GitRemoteCredentialsDialog

Module implementing a dialog to enter the data of a remote repository.

### Global Attributes

None

### Classes

GitRemoteCredentialsDialog | Class implementing a dialog to enter the data of a remote repository.

### Functions

None

## GitRemoteCredentialsDialog

Class implementing a dialog to enter the data of a remote repository.

### Derived from

QDialog, Ui_GitRemoteCredentialsDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitRemoteCredentialsDialog | Constructor
getData | Public method to get the entered data.
on_userEdit_textChanged | Private slot handling changes of the entered user name.

### Static Methods

None

#### GitRemoteCredentialsDialog (Constructor)

GitRemoteCredentialsDialog(remoteName, remoteUrl, parent=None)

Constructor

remoteName (str)
  name of the remote repository
remoteUrl (str)
  URL of the remote repository
parent (QWidget)
  reference to the parent widget

#### GitRemoteCredentialsDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple with name and URL of the remote repository

Return Type:
  tuple of (str, str)

#### GitRemoteCredentialsDialog.on_userEdit_textChanged

on_userEdit_textChanged(txt)

Private slot handling changes of the entered user name.

txt (str)
  current text

Up